import numpy as np
import matplotlib.pyplot as plt
import seaborn as sb
import pystan
import platform

sm = pystan.StanModel(file = 'persistence_hi.stan')
print('Compilig ended.')

Data = {'Ng':55, 'kg':31, 'Nv':24, 'kv':8, 'Ne':16, 'ke':9}

fit = sm.sampling(data = Data,
                  n_jobs = 1 if platform.system() == 'Windows' else -1)

print(fit)

pg_hat = np.median(fit['pg'])
pv_hat = np.median(fit['pv'])
pe_hat = np.median(fit['pe'])
sb.kdeplot(fit['pg'], label = 'Ghana')
sb.kdeplot(fit['pv'], label = 'Venezuela')
sb.kdeplot(fit['pe'], label = 'Equador')
plt.title('pg_hat={0:.3f},  pv_hat={1:.3f},  pe_hat={2:.3f}'.format(pg_hat, pv_hat, pe_hat))
plt.legend()
plt.savefig('Fig_persist_hi.png')
plt.show()

sb.kdeplot(fit['hg'], label = 'hg:Ghana')
sb.kdeplot(fit['hv'], label = 'hv:Venezuala')
sb.kdeplot(fit['he'], label = 'he:Equador')
plt.legend()
plt.savefig('FigH.png')
plt.show()

sb.kdeplot(fit['hm'], label = 'Hyper Mu')
plt.legend()
plt.savefig('FigHM.png')
plt.show()

sb.kdeplot(fit['hsgm'], label = 'Hyper Sigma')
plt.legend()
plt.savefig('FigHS.png')
plt.show()


plt.hist(fit['hsgm'], label = 'Hyper Sigma')
plt.legend()
plt.savefig('FigHSgmHist.png')
plt.show()

