data {
    int Ng;
    int kg;
    int Nv;
    int kv;
    int Ne;
    int ke;
}
parameters {
    real hm;
    real<lower = 0.0> hsgm;
    real hg;
    real hv;
    real he;
}
transformed parameters {
    real<lower = 0, upper = 1> pg;
    real<lower = 0, upper = 1> pv;
    real<lower = 0, upper = 1> pe;
    pg = inv_logit(hg);
    pv = inv_logit(hv);
    pe = inv_logit(he);
}
model {
    hm ~ normal(0, 10);
    hsgm ~ uniform(0, 20);  
    hg ~ normal(hm, hsgm);
    hv ~ normal(hm, hsgm);
    he ~ normal(hm, hsgm);
    kg ~ binomial(Ng, pg);
    kv ~ binomial(Nv, pv);
    ke ~ binomial(Ne, pe);
}
